Package org.gradle.tooling.events.problems

# Interface SingleProblemEvent

All Superinterfaces:
  `ProblemEvent`, `ProgressEvent`

@Incubating public interface SingleProblemEvent extends ProblemEvent
ProblemEvent with all the details relevant.

Since:
  8.8

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Problem`
  `getProblem()`
  Returns the structural details describing the problem.

  ### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

  `getDescriptor, getDisplayName, getEventTime`

- ## Method Details

  - ### getProblem

    Problem getProblem()
    Returns the structural details describing the problem.
    Returns:
      the report
    Since:
      8.12